{% extends "base_ajax.html" %}
{% load static %}
{% block extra_head %}
<link href="{% static 'plugins/DataTables/media/css/dataTables.bootstrap4.min.css' %}" rel="stylesheet">
<link href="{% static 'plugins/DataTables/extensions/Responsive/css/responsive.bootstrap.min.css' %}" rel="stylesheet">
{% endblock extra_head %}

{% block content %}
<div class="panel panel-inverse miselector" data-sortable-id="table-basic-4" >
  <!-- begin panel-heading -->

  <div class="panel-heading ui-sortable-handle">
    <div class="panel-heading-btn">
      <a href="javascript:;" class="btn btn-xs btn-icon btn-circle btn-default" data-click="panel-expand"><i class="fa fa-expand"></i></a>  
      <a onclick="updateDatatable();" class="btn btn-xs btn-icon btn-circle btn-success" ><i class="fa fa-redo"></i></a>      
      <a href="javascript:;" class="btn btn-xs btn-icon btn-circle btn-warning" data-click="panel-collapse"><i class="fa fa-minus"></i></a>
    </div>
    <h4 class="panel-title">Lista de velocidades del sistema.</h4>
  </div>
  <!-- end panel-heading -->
  <!-- begin panel-body -->
  <div class="panel-body miselector">
    <!-- begin table-responsive -->
    <div class="m-b-10"> <a href="#modal-create" class="btn btn-sm btn-success" data-toggle="modal">Crear velocidad</a></div>

    <div class="table-responsive">
      <table class="table" id="table_speeds">
        <thead>
          <tr>
            <th nowrap="">Nombre</th>
            <th nowrap="">Tidsis</th>
            <th nowrap="">Cir</th>
            <th nowrap="">Cbs</th>
            <th nowrap="">Pir</th>
            <th nowrap="">Pbs</th>
            <th nowrap="">pri</th>
          </tr>
        </thead>
        <tbody>
        </tbody>
      </table>


    </div>
    <!-- end table-responsive -->
  </div>
  <!-- end panel-body -->
</div>


<div class="modal fade" id="modal-create">
  <div class="modal-dialog">
    <div class="modal-content">
      <form class="form-horizontal" data-parsley-validate="true" name="demo-form">
      <div class="modal-header">
        <h4 class="modal-title">Crear Velocidad</h4>
        <button type="button" class="close" data-dismiss="modal" aria-hidden="true">×</button>
      </div>
      <div class="modal-body">
        <div id="loader_modal"></div>
    
        <div class="form-group row m-b-15">
          <label class="col-md-4 col-sm-4 col-form-label" for="name">Nombre</label>
          <div class="col-md-8 col-sm-8">
            <textarea class="form-control" id="name" rows="4" data-parsley-required="true" placeholder="nombre de la velocidad" required="true" ></textarea>
          </div>
        </div>

        <div class="form-group row m-b-15">
          <label class="col-md-4 col-sm-4 col-form-label" for="tidsis">Tidsis</label>
          <div class="col-md-8 col-sm-8">
            <input class="form-control" type="text" id="tidsis" name="tidsis" placeholder="tidsis de la velocidad" data-parsley-required="true" required="true"/>
          </div>
        </div>

        <div class="form-group row m-b-15">
          <label class="col-md-4 col-sm-4 col-form-label" for="cir">Cir</label>
          <div class="col-md-8 col-sm-8">
            <input class="form-control" type="text" id="cir" placeholder="cir de la velocidad" data-parsley-required="true" required="true"/>
          </div>
        </div>
         
        <div class="form-group row m-b-15">
          <label class="col-md-4 col-sm-4 col-form-label" for="cbs">Cbs</label>
          <div class="col-md-8 col-sm-8">
            <input class="form-control" type="text" id="cbs" placeholder="cbs de la velocidad" data-parsley-required="true" required="true"/>
          </div>
        </div>

        <div class="form-group row m-b-15">
          <label class="col-md-4 col-sm-4 col-form-label" for="pir">Pir</label>
          <div class="col-md-8 col-sm-8">
            <input class="form-control" type="text" id="pir" placeholder="pir de la velocidad" data-parsley-required="true" required="true"/>
          </div>
        </div>

        <div class="form-group row m-b-15">
          <label class="col-md-4 col-sm-4 col-form-label" for="pbs">Pbs</label>
          <div class="col-md-8 col-sm-8">
            <input class="form-control" type="text" id="pbs" placeholder="pbs de la velocidad" data-parsley-required="true" required="true"/>
          </div>
        </div>


        <div class="form-group row m-b-15">
          <label class="col-md-4 col-sm-4 col-form-label" for="pri">Pri</label>
          <div class="col-md-8 col-sm-8">
            <input class="form-control" type="text" id="pri" placeholder="pri de la velocidad" data-parsley-required="true" required="true"/>
          </div>
        </div>
      </div>
      <div class="modal-footer">
        <a href="javascript:;" class="btn btn-white" data-dismiss="modal">Close</a>
        <button type="button" class="btn btn-primary" onclick="newSpeed()">Crear velocidad</button>
      </div>
      </form>
    </div>
  </div>
</div>
{% endblock content %}    

{% block extra_js %}
<script src="{% static 'plugins/DataTables/media/js/jquery.dataTables.min.js' %}"></script>
<script src="{% static 'plugins/DataTables/media/js/dataTables.bootstrap.min.js' %}"></script>
<script src="{% static 'plugins/DataTables/extensions/Responsive/js/dataTables.responsive.min.js' %}"></script>
<script src="{% static 'scripts/system_speeds_list.js' %}"></script>
{% endblock extra_js %}
